1

We have a C++/Qt application based on the KDE Marble library. I would like to replace the Marble library with the QGis library. However it is not too easy to figure out the correct environment for this. Assuming I want to start from a recent version of QGIS (3.20.1 is just released). I installed the qgis-dev-full which seems to be v3.19. I could read in different posts that the official release is built with MSVC?

  • Which would be the actual version for this? 2015 or the newest 2019?
  • Do I need a specific revision of Qt too?

There a couple of Q&As which are years old and no longer accurate:

The most recent is here, but doesn't have an answer: Setup standalone Qt/C++ app with QGIS

1
  • As per the Tour there should be only one question asked per question.
    – PolyGeo
    Commented Aug 10, 2021 at 11:44

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.